Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class DerivedCDATA

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.type.SOMType
              com.bea.schema.type.SOMElementalType
                  com.bea.schema.type.PrimitiveString
                      com.bea.schema.type.DerivedCDATA

All Implemented Interfaces:
  Serializable

Deprecated. 3/16/2001 superceded by normalizedString

public class DerivedCDATA
extends PrimitiveString

CDATA represents white space normalized strings. The value space of CDATA is the set of strings that do not contain the carriage-return (#xD), line-feed (#xA) nor tab (#x9) characters. The lexical space of CDATA is the set of strings that do not contain the newline (#xD) nor tab (#x9) characters. The base type of CDATA is string. CDATA has the following constraining facets: length minLength maxLength pattern enumeration whiteSpace

Version:
  1.0
Author:
  sharpe
See Also:
  W3C XML Schema CDATA, `DerivedNormalizedString`, Serialized Form

Field Summary

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`DerivedCDATA()` Deprecated.

Method Summary
`String` | `getID()` Deprecated. <xsd:anyType>

Methods inherited from class com.bea.schema.type.PrimitiveString
`createDefault, getAllowedFacets, isValid`

Methods inherited from class com.bea.schema.type.SOMElementalType
`getTypeRestrictions, isSchemaChild`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DerivedCDATA

    public DerivedCDATA()

  Deprecated.

Method Detail

### getID

    public String getID()

  Deprecated.
  Description copied from class: `SOMType`
  <xsd:anyType>

  Overrides:
    `getID` in class `PrimitiveString`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD